DCMTK: DcmPrivateTagCacheEntry Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmPrivateTagCacheEntry Class Reference

class handling one entry of the Private Tag Cache List More...

## Public Member Functions
| DcmPrivateTagCacheEntry (const DcmTagKey &tk, const char *pc)
| constructor
virtual | ~DcmPrivateTagCacheEntry ()
| destructor
const char * | getPrivateCreator () const
| returns the private creator identifier
OFBool | isPrivateCreatorFor (const DcmTagKey &tk) const
| checks if this element is the private creator for the element with the given tag key

## Private Member Functions
| DcmPrivateTagCacheEntry (const DcmPrivateTagCacheEntry &)
| private undefined copy constructor
DcmPrivateTagCacheEntry & | operator= (const DcmPrivateTagCacheEntry &)
| private undefined copy assignment operator

## Private Attributes
DcmTagKey | tagKey
| the tag key of the private creator element
OFString | privateCreator
| the private creator identifier

## Detailed Description

class handling one entry of the Private Tag Cache List

## Constructor & Destructor Documentation

## ◆ DcmPrivateTagCacheEntry()

DcmPrivateTagCacheEntry::DcmPrivateTagCacheEntry | ( | const DcmTagKey & | tk,
|  | const char * | pc )

constructor

Parameters

  tk | tag key for private creator element
  pc | private creator identifier, must not be NULL or empty string

Referenced by DcmPrivateTagCacheEntry(), and operator=().

## Member Function Documentation

## ◆ isPrivateCreatorFor()

OFBool DcmPrivateTagCacheEntry::isPrivateCreatorFor | ( | const DcmTagKey & | tk | ) | const

checks if this element is the private creator for the element with the given tag key

Parameters

  tk | tag key to check

Returns
  OFTrue if this element contains the matching private creator, OFFalse otherwise.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcpcache.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1